Bug 429425 - Doxygen on Fedora 7/8 behaves multilib unfriendly, please update doxygen
Doxygen on Fedora 7/8 behaves multilib unfriendly, please update doxygen
Product: Fedora
Classification: Fedora
Component: doxygen (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
Blocks: 342301 342921
  Show dependency treegraph
Reported: 2008-01-19 14:24 EST by Robert Scheck
Modified: 2008-02-14 16:14 EST (History)
0 users

See Also:
Fixed In Version: 1.5.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-14 16:14:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2008-01-19 14:24:00 EST
Description of problem:
It looks like the doxygen shipped with Fedora 8 behaves very multilib/multiarch 
unfriendly - please update to a newer version.

Comparing popt-devel-1.13-1.fc8.i386.rpm and popt-devel-1.13-1.fc8.x86_64.rpm 
by using http://katzj.fedorapeople.org/multilib-cmp.py, there are many multilib 
conflicts, while comparing popt-devel-1.13-1.fc9.i386.rpm and popt-devel-1.13-
1.fc9.x86_64.rpm, there is no multilib conflict. Note, that the same spec file 
was used for .fc8 and .fc9 - as the only files which are different come from 
doxygen generated stuff, I'm blaming doxygen herefore...

Version-Release number of selected component (if applicable):

How reproducible:
Everytime. Grab popt-1.13-1.fc8.src.rpm and rebuild in Fedora 8 mockbuild and 
grab popt-1.13-1.fc9.src.rpm and rebuild in Fedora 9 mockbuild. Then run the 
multilib-cmp.py script and you'll see the conflicts on .fc8. And feel free to 
compare the specs of popt, but they're identical :)

Actual results:
Doxygen on Fedora 8 behaves multilib unfriendly

Expected results:
Doxygen on Fedora 8 behaves same multilib friendly as on Rawhide.
Comment 1 Robert Scheck 2008-01-19 14:33:16 EST
Oh, and if you're working on this, please solve for Fedora 7 as well.
Comment 2 Robert Scheck 2008-02-13 15:11:08 EST
Comment 3 Ngo Than 2008-02-14 11:25:44 EST
i'm working on this, i hope to get it ready soon. please be patient.
Comment 4 Ngo Than 2008-02-14 11:58:50 EST
Robert, there's a new version 1.5.4 in F8/F7 update, Does the new version fix 
the problem?
Comment 5 Robert Scheck 2008-02-14 16:14:31 EST
Yepp, seems to work now :)

Note You need to log in before you can comment on or make changes to this bug.